Imagick::optimizeImageLayers
Imagick::paintOpaqueImage
The Imagick class
PHP Manual

# Imagick::colorFloodfillImage

(No version information available, might be only in CVS)

Imagick::colorFloodfillImage — Changes the color value of any pixel that matches target

### Description

bool Imagick::paintFloodfillImage ( mixed `$fill` , float `$fuzz` , mixed `$bordercolor` , int `$x` , int `$y` )
Warning

This function is currently not documented; only its argument list is available.

Changes the color value of any pixel that matches target and is an immediate neighbor.

### Parameters

`fill`

  ImagickPixel object or a string containing the fill color

`fuzz`

  The amount of fuzz. For example, set fuzz to 10 and the color red at intensities of 100 and 102 respectively are now interpreted as the same color for the purposes of the floodfill.

`bordercolor`

  ImagickPixel object or a string containing the border color

`x`

  X start position of the floodfill

`y`

  Y start position of the floodfill

`channel`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channeltype constants using bitwise operators. Defaults to Imagick::CHANNEL_ALL. Refer to this list of channel constants.

### Return Values

Returns `TRUE` on success.

Imagick::optimizeImageLayers
Imagick::paintOpaqueImage
The Imagick class
PHP Manual